/**
 *Created by huangwenjie on 2018/7/18
 * 获得复活卡数量
 */
import { Data } from "../../Data";

export class GetReviveCardNumData extends Data {
    /**
     * 时间戳
     */
    public timestamp:string;
    /**
     * 是否成功
     */
    public isSuccess:boolean;
    /**
     * 复活卡数量
     */
    public reviveCardNum:number;

    constructor() {
        super();
    }

    public update(data: any): void {
        if (!data) {
            return;
        }
        super.update(data);
        this.timestamp = data.timestamp;
        this.isSuccess = data.success;
        this.reviveCardNum = data.data;
    }
}